# nng_mtx_free(3supp) Manual Page

## NAME

nng_mtx_free - free mutex

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/util/platform.h>

    void nng_mtx_free(nng_mtx *mtx);

## DESCRIPTION

The `nng_mtx_free()` function frees the mutex mtx. The mutex must not be locked when this function is called.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_mtx_alloc(3supp), nng(7)